HashAdapter (FreeMarker 2.3.23 API)
Date: 2015-07-05

freemarker.ext.beans

## Class HashAdapter

- java.lang.Object
- - java.util.AbstractMap
  - - freemarker.ext.beans.HashAdapter

- All Implemented Interfaces:
    TemplateModelAdapter, Map

      public class HashAdapter
      extends AbstractMap
      implements TemplateModelAdapter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsKey(Object key)`
    `Set` | `entrySet()`
    `Object` | `get(Object key)`
    `TemplateModel` | `getTemplateModel()`
    `boolean` | `isEmpty()`

    - ### Methods inherited from class java.util.AbstractMap

      `clear, clone, containsValue, equals, hashCode, keySet, put, putAll, remove, size, toString, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Method Detail

    - #### getTemplateModel

          public TemplateModel getTemplateModel()

      Specified by:
        `getTemplateModel` in interface `TemplateModelAdapter`
      Returns:
        the template model this object is wrapping.

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Map`
      Overrides:
        `isEmpty` in class `AbstractMap`

    - #### get

          public Object get(Object key)

      Specified by:
        `get` in interface `Map`
      Overrides:
        `get` in class `AbstractMap`

    - #### containsKey

          public boolean containsKey(Object key)

      Specified by:
        `containsKey` in interface `Map`
      Overrides:
        `containsKey` in class `AbstractMap`

    - #### entrySet

          public Set entrySet()

      Specified by:
        `entrySet` in interface `Map`
      Specified by:
        `entrySet` in class `AbstractMap`